# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# /space/gentoo/cvsroot/gentoo-x86/skel.ebuild,v 1.7 2002/05/18 17:25:12 agenkin Exp

S=${WORKDIR}/mm${PV}/src

DESCRIPTION="An implementation of MIME"
SRC_URI="ftp://thumper.bellcore.com/pub/nsb/mm${PV}.tar.Z"
LICENSE="as-is"
DEPEND="virtual/mta
		virtual/x11
		sys-libs/ncurses"

src_unpack() {
	unpack ${A}
	#all these patches come from the redhat and conectiva RPM spec files
	#given that metamail was last updated in 1994, I'm
	#surprised there aren't more :)
	patch -p0 < ${FILESDIR}/mm-${PV}-make.patch
	patch -p0 < ${FILESDIR}/mm-${PV}-fonts.patch
	patch -p0 < ${FILESDIR}/mm-${PV}-glibc.patch
	patch -p0 < ${FILESDIR}/mm-${PV}-csh.patch
	patch -p0 < ${FILESDIR}/mm-${PV}-uudecode.patch
	patch -p0 < ${FILESDIR}/mm-${PV}-sunquote.patch
	patch -p0 < ${FILESDIR}/mm-${PV}-ohnonotagain.patch
	patch -p0 < ${FILESDIR}/mm-${PV}-arghhh.patch
	patch -p0 < ${FILESDIR}/mm-${PV}-linux.patch
	patch -p0 < ${FILESDIR}/metamail-ncurses.patch
	
	#this is pretty gross...
	cd ${S}
	cp Makefile Makefile.orig
	sed -e "s:INSTROOT = /usr:INSTROOT = ${D}usr:" Makefile.orig > Makefile
	rm Makefile.orig
}

src_compile() {
	emake basics || die
}

src_install() {
	mkdir -p ${D}/{usr/bin,usr/lib/metamail/fonts,usr/share/man/man1}
	emake install-all || die
	install -m 644 fonts/*.pcf ${D}/usr/lib/metamail/fonts
	install -m 644 fonts/fonts.alias ${D}/usr/lib/metamail/fonts
	mkfontdir ${D}/usr/lib/metamail/fonts
	rm ${D}/usr/bin/*~
}
